#include "str_utils.h"

namespace Torch {

///
char *strAlloc(int size)
{
	char *str = new char [size + 1];

	return str;
}

///
char *strAlloc(const char *str_, int extra)
{
   	int size = strlen(str_);

	if(size == 0) return NULL;

	char *str = new char [size + extra + 1];

	return str;
}

///
char *strAlloc(const char *str_, char *concat_)
{
   	int size = strlen(str_) + strlen(concat_);

	if(size == 0) return NULL;

	char *str = new char [size + 1];

	strcpy(str, str_);
	strcat(str, concat_);

	return str;
}

///
void strFree(char *str)
{
	if(str != NULL) delete [] str;
}

///
void strBasename(char *basename, const char *filename)
{
        char *extension;
        char *separator;

        strcpy(basename, filename);

        extension = (char *) strrchr(basename, '.');
        if(extension != NULL) *extension = '\0';

        separator = (char *) rindex(basename, '/');
        if(separator != NULL)
        {
                separator++;
                strcpy(basename, separator);
        }

}

}

