#ifndef IO_BIN_DISK_INC
#define IO_BIN_DISK_INC

#include "IOBin.h"

namespace Torch {

/** This class is designed to read a bin file

    @author Sebastien Marcel (marcel@idiap.ch)
    \Date
    @version 2.0
    @since 1.0
*/
class IOBinDisk : public IOBin
{
public:
   	///
	int current_pos;

	///
    	IOBinDisk(const char *filename_, int max_load_=-1);

	///
    	virtual void getSequence(int t, Sequence *sequence);

	///
    	virtual ~IOBinDisk();
};

}

#endif
